# Generated by Django 4.0.4 on 2022-05-11 04:34

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('zeniarkdev', '0011_rename_uid_logs_user'),
    ]

    operations = [
        migrations.CreateModel(
            name='ActivityLogMessages',
            fields=[
                ('module_id', models.AutoField(primary_key=True, serialize=False)),
                ('activity', models.TextField()),
                ('date_added', models.DateTimeField()),
                ('date_updated', models.DateTimeField(null=True)),
            ],
        ),
        migrations.AlterField(
            model_name='domains',
            name='password',
            field=models.TextField(),
        ),
        migrations.AlterField(
            model_name='domains',
            name='status',
            field=models.IntegerField(choices=[(1, 'Active'), (2, 'Removed')]),
        ),
        migrations.CreateModel(
            name='Servers',
            fields=[
                ('server_id', models.AutoField(primary_key=True, serialize=False)),
                ('server_name', models.CharField(max_length=50)),
                ('server_ip_address', models.CharField(max_length=50)),
                ('description', models.TextField(null=True)),
                ('status', models.IntegerField(choices=[(1, 'Active'), (2, 'Removed')])),
                ('date_added', models.DateTimeField()),
                ('date_updated', models.DateTimeField(null=True)),
                ('added_by', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='ActivityLogs',
            fields=[
                ('log_id', models.AutoField(primary_key=True, serialize=False)),
                ('activity', models.TextField()),
                ('params', models.TextField()),
                ('date_added', models.DateTimeField()),
                ('module', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='zeniarkdev.activitylogmessages')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
